{
  config,
  pkgs,
  lib,
  ...
}:

let
  cfg = config.qois.postgresql;
in
with lib;
{
  options.qois.postgresql = {
    enable = mkEnableOption ''Enable postgresql services with defaults'';
    package = mkPackageOption pkgs "postgresql" {
      example = "postgresql_15";
      default = null;
    };
  };

  config = mkIf cfg.enable {
    services.postgresql.enable = true;
    services.postgresqlBackup.enable = true;
    qois.backup-client.includePaths = [ config.services.postgresqlBackup.location ];
  };
}
